## gkrellm-volume 0.8

=== Makefile ===
# Makefile for  GKrellM volume plugin

# Linux
GTK_CONFIG = gtk-config
SYSLIB = -lpthread

# FreeBSD
#GTK_CONFIG = gtk12-config
#SYSLIB =

PLUGIN_DIR = /usr/share/gkrellm/plugins
GKRELLM_INCLUDE = -I/usr/local/include

GTK_INCLUDE = `$(GTK_CONFIG) --cflags`
GTK_LIB = `$(GTK_CONFIG) --libs`

IMLIB_INCLUDE = `imlib-config --cflags-gdk`
IMLIB_LIB = `imlib-config --libs-gdk`

FLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE) $(IMLIB_INCLUDE) $(GKRELLM_INCLUDE)
LIBS = $(GTK_LIB) $(IMLIB_LIB) $(SYSLIB)
LFLAGS = -shared

CC = gcc $(CFLAGS) $(FLAGS)

INSTALL = install -c
INSTALL_PROGRAM = $(INSTALL) -s

OBJS = volume.o

all:	volume.so

freebsd:
	make GTK_CONFIG=gtk12-config SYSLIB=all

volume.so: $(OBJS)
	$(CC) $(OBJS) -o volume.so $(LIBS) $(LFLAGS)

clean:
	rm -f *.o core *.so* *.bak *~

install: 
	$(INSTALL_PROGRAM) volume.so $(PLUGIN_DIR)

volume.c.o: volume.c

## gkrellm-volume 2.1.13

=== Makefile ===
# Makefile for  GKrellM volume plugin

PACKAGE ?= gkrellm-volume
LOCALEDIR ?= /usr/local/share/locale

FLAGS += -DPACKAGE="\"$(PACKAGE)\"" 
export PACKAGE LOCALEDIR

GTK_CONFIG = pkg-config gtk+-2.0

PLUGIN_DIR ?= /usr/local/lib/gkrellm2/plugins
GKRELLM_INCLUDE = -I/usr/local/include

GTK_CFLAGS = `$(GTK_CONFIG) --cflags` 
GTK_LIB = `$(GTK_CONFIG) --libs`

FLAGS = -O2 -Wall -fPIC $(GTK_CFLAGS) $(GKRELLM_INCLUDE)
LIBS = $(GTK_LIB)
LFLAGS = -shared

OBJS = volume.o mixer.o oss_mixer.o

ifeq ($(enable_alsa),1)
  FLAGS += -DALSA
  LIBS += -lasound
  OBJS += alsa_mixer.o 
endif

ifeq ($(enable_nls),1)
    FLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
    export enable_nls
endif

CC = gcc $(CFLAGS) $(FLAGS)

INSTALL = install -c
INSTALL_PROGRAM = $(INSTALL) -s

all:	volume.so
	(cd po && ${MAKE} all )

volume.so: $(OBJS)
	$(CC) $(OBJS) -o volume.so $(LIBS) $(LFLAGS)

clean:
	rm -f *.o core *.so* *.bak *~
	(cd po && ${MAKE} clean)

install: 
	(cd po && ${MAKE} install)
	$(INSTALL_PROGRAM) volume.so $(PLUGIN_DIR)

%.c.o: %.c

=== po/Makefile ===
MSGFMT = msgfmt
SUB_DIRS = 
FILES_PO:=$(wildcard *.po)
FILES_MO:=$(FILES_PO:.po=.mo)

LOCALEDIR ?= /usr/share/locale
PACKAGE ?= gkrellm-volume

ifeq ($(enable_nls),1)
all: mo-files

mo-files: $(FILES_MO)

install: 
	$(MAKE) all
	for f in *.mo ; do mkdir -p \
		$(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES ; \
		cp $$f $(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PACKAGE).mo ; done

%.mo: %.po
	$(MSGFMT) -f -v -o $@ $<

else

all:

install:

endif

clean:
	$(RM) $(FILES_MO)

=== debian/changelog ===
gkrellm-volume (2.1.13-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain in Package Salvage team
    Closes: #1082841
  * Add fake watch file since upstream source vanished
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Build-Depends: gkrellm
  * No article in short description
  * copyright: DEP5
  * Flag for executable stack is removed from the library with current
    build options
    Closes: #430882
  * ACK NMU
    Closes: #845135

  [ Helmut Grohne ]
  * Do not hard code build architecture pkg-config, non-standard use of CC
    Closes: #901163

  [ Jindrich Makovicka ]
  * Add a missing struct member initialization
    Closes: #356508

  [ Jindrich Makovicka ]
  * Fix slider name corruption
    Closes: #499412

  [ Frédéric Bothamy ]
  * Fix version in about tab
    Closes: #367564

 -- Andreas Tille <tille@debian.org>  Mon, 30 Sep 2024 10:54:01 +0200

gkrellm-volume (2.1.13-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update packaging to modern standards (Closes: #800295, #817340).
  * Add Homepage.
  * Enable all hardening options.
  * Enable -Wl,--as-needed.
  * Disable unconditional stripping (Closes: #437034).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 20 Nov 2016 19:32:28 +0500

gkrellm-volume (2.1.13-1) unstable; urgency=medium

  * New upstream release
    + Fixes brown paper bag bug in alsa backend (Closes: Bug#266789)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 19 Aug 2004 22:03:42 +0200

gkrellm-volume (2.1.12-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 16 Aug 2004 18:16:05 +0200

gkrellm-volume (2.1.11-1) unstable; urgency=low

  * New upstream release
    - Adds alsa support (Closes: Bug#243165)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 16 May 2004 18:07:28 +0200

gkrellm-volume (2.1.10-1) unstable; urgency=low

  * New upstream release
    - Fixes typo's in the info tab (Closes: Bug#226775)
    - Reacts on horizontal scrolling the right way (Closes: Bug#224094)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 28 Jan 2004 15:06:34 +0100

gkrellm-volume (2.1.9-2) unstable; urgency=low

  * Updated french translation
  * Rephrased the description

 -- Sjoerd Simons <sjoerd@debian.org>  Tue,  9 Sep 2003 23:23:30 +0200

gkrellm-volume (2.1.9-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Mon,  1 Sep 2003 20:30:15 +0200

gkrellm-volume (2.1.8-1) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 16 Jun 2003 21:02:57 +0200

gkrellm-volume (2.1.7-1) unstable; urgency=low

  * new upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 18 Jan 2003 20:53:01 +0100

gkrellm-volume (2.1.6-1) unstable; urgency=low

  * gkrellm moved to gkrellm 2.x. Moving this to the gkrellm 2 version and
    obsoleting gkrellm-volume2

 -- Sjoerd Simons <sjoerd@debian.org>  Mon,  6 Jan 2003 16:21:11 +0100

gkrellm-volume (0.8-3) unstable; urgency=low

  * Updated Build-Depends (closes: Bug#170141)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 22 Nov 2002 11:23:13 +0100

gkrellm-volume (0.8-2) unstable; urgency=low

  * Changed build-depends to gdk-imlib1-dev instead of gdk-imlib-dev at
    request of Steve M. Robbins <smr@debian.org>
  * DH_COMPAT changed from 1 to 3
  * Using standards version 3.5.7
  * Set maintainer email addy to my debian address
  * removed symlink in /usr/share/gkrellm/plugins

 -- Sjoerd Simons <sjoerd@debian.org>  Tue,  3 Sep 2002 20:00:56 +0200

gkrellm-volume (0.8-1) unstable; urgency=low

  * Initial Release. (closes: Bug#78647)
  * Sponsored by  An Thi-Nguyen Le <anle@ews.uiuc.edu>

 --  Sjoerd Simons <sjoerd@luon.net>  Thu, 21 Dec 2000 19:25:18 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: gkrellm-volume
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>
Section: sound
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libgtk2.0-dev,
               libasound2-dev,
               gkrellm
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/gkrellm-volume
Vcs-Git: https://salsa.debian.org/salvage-team/gkrellm-volume.git
Homepage: http://gkrellm.luon.net/volume.php
Rules-Requires-Root: no

Package: gkrellm-volume
Architecture: any
Depends: ${shlibs:Depends},
         gkrellm,
         ${misc:Depends}
Conflicts: gkrellm-volume2
Replaces: gkrellm-volume2
Description: Mixer plugin for GKrellM
 This GKrellM plugin allows you to control the mixer of your soundcard.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- enable_nls=1 enable_alsa=1

override_dh_auto_install:
	dh_auto_install -- enable_nls=1 \
	    PLUGIN_DIR=$(CURDIR)/debian/gkrellm-volume/usr/lib/gkrellm2/plugins \
            LOCALEDIR=$(CURDIR)/debian/gkrellm-volume/usr/share/locale

=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Release/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz
